<template>
  <div id="">
    <a-layout>
      <a-layout-content style="border:1px solid #d5d5ff;margin-left:5px;padding:0px;">
        <p style="font-weight:bolder;background-color:#d5d5ff;padding:3px;">信息填报</p>
        <a-form :model="addObj" :label-col="{ span: 10 }" :wrapper-col="{ span: 14 }" :rules="rules" ref="addObj">
          <p style="margin-top:10px;margin-bottom: 10px">
            <a-icon type="caret-right" /><span style="width:120px;padding-left: 10px">巡视检查</span><span class="hrs"></span>
          </p>
          <a-form-item label="查看工程各建筑物巡视检查记录，是否按规定频次开展巡视检查并做记录">
            <a-radio-group v-model:value="addObj.isChkTime">
              <a-radio value="1">是</a-radio>
              <a-radio value="2">否</a-radio>
            </a-radio-group>
          </a-form-item>
          <a-form-item label="汛期是否按规定频次开展巡视检查并做记录（主汛期1天/次，后汛期2天/次，当水位达到警戒水位以上时，2次/天）" v-if="addObj.isChkTime === '2'">
            <a-radio-group v-model:value="addObj.isUpKeep">
              <a-radio value="1">是</a-radio>
              <a-radio value="2">否</a-radio>
              <a-button v-if="addObj.isUpKeep == '2'" type="link" @click="addProblem('isUpKeep', addObj.isUpKeep)">
                <a-icon type="plus-circle" theme="filled" />
              </a-button>
            </a-radio-group>
          </a-form-item>
          <a-form-item label="非汛期是否按规定频次开展巡视检查并做记录（7天/次）" v-if="addObj.isChkTime === '2'">
            <a-radio-group v-model:value="addObj.isChkRcord">
              <a-radio value="1">是</a-radio>
              <a-radio value="2">否</a-radio>
              <a-button v-if="addObj.isChkRcord == '2'" type="link" @click="addProblem('isChkRcord', addObj.isChkRcord)">
                <a-icon type="plus-circle" theme="filled" />
              </a-button>
            </a-radio-group>
          </a-form-item>
          <a-form-item :wrapper-col="{ span: 10, offset: 14 }">
            <a-button type="primary" @click="makesure('addObj')" v-if="openType">保 存</a-button>
          </a-form-item>
        </a-form>
      </a-layout-content>
      <problem-dialog
        v-if="showAddProblemDialog"
        :objType="58"
        :villType="58"
        :objId="rowData.objId"
        :objName="rowData.nm"
        :problemMiddleType="'堤防'"
        :problData="probId"
        @closeDialog="closePlDialog"
        :rgstrId="rowData.rgstrId"
        :szRuls="[]">
      </problem-dialog>
    </a-layout>
  </div>
</template>

<script>
import request from '../../../utils/gw_ajax_request';
import problemDialog from '../../duChaWenTi/problemDialog.vue';
export default {
  props: {
    rowData: {
      type: Object,
      default: {},
    },
    openType: {
      type: Boolean,
      default: true,
    },
  },
  components: {
    problemDialog,
  },
  data() {
    return {
      formLabelWidth: '600px',
      addObj: {
        isChkTime: '',
        isUpKeep: '',
        isChkRcord: '',
      },
      rules: {},
      showAddProblemDialog: false,
      probId: '',
      operationType1: '',
      id: '',
      objtbStatu: {
        jxqState: '',
        rgstrId: '',
        id: '',
        state: '',
      },
    };
  },
  computed: {
    // 监听属性 类似于data概念
    recPersId() {
      return localStorage.getItem('persId')
        ? localStorage.getItem('persId')
        : '';
    },
  },
  created() {
    this.findItemByType();
  },
  mounted() {
    if (this.rowData.rgstrId) {
      this.getInfoData();
    }
  },
  methods: {
    makesure(formName) {
      this.$refs[formName].validate((valid) => {
        if (valid) {
          this.addObj['rgstrId'] = this.rowData.rgstrId;
          this.addObj['recPersId'] = this.recPersId;
          this.objtbStatu.rgstrId = this.rowData.rgstrId;
          this.objtbStatu.id = this.rowData.rgstrId;
          if (this.addObj.isChkTime != null) {
            this.addObj['state'] = '2';
            this.objtbStatu.rtchkState = '2';
            this.objtbStatu.state = '1';
          } else if (this.addObj.isChkTime != null) {
            this.objtbStatu.rtchkState = '0';
            this.addObj['state'] = '0';
          } else {
            this.objtbStatu.rtchkState = '1';
            this.objtbStatu.state = '1';
            this.addObj['state'] = '1';
          }
          this.$confirm({
            title: '提示',
            content: '确认保存运行管理情况信息吗？',
            okType: 'warning',
            onOk: () => {
              request
                .post('/bis/insp/dikejx/rtchk', this.addObj)
                .then((res) => {
                  if (res.success) {
                    this.$message.success('添加成功');
                    request
                      .post('/bis/insp/dikejx/update', this.objtbStatu)
                      .then((res) => {
                        res;
                      });
                    this.$emit('addDiFangSuccess');
                  }
                });
            },
          });
        } else {
          console.log('error submit!!');
          return false;
        }
      });
    },
    // 如果已经填报  则查询
    getInfoData() {
      request
        .get('/bis/insp/dikejx/rtchk/' + this.rowData.rgstrId, {})
        .then((res) => {
          if (res.success) {
            this.addObj = res.data;
          }
        });
    },
    findItemByType() {
      const obj = {
        tname: 'BIS_INSP_DIKEJX_RTCHK',
      };
      request
        .post('/bis/insp/item/ques/info/findItemByType', obj)
        .then((res) => {
          this.rsvrRules = res.data;
        });
    },
    addProblem(item, iValue) {
      const rest = this.rsvrRules.filter((e) => {
        return e.iValue === iValue && e.eName === item;
      });
      if (rest[0]) {
        this.probId = rest[0].id;
      }
      this.showAddProblemDialog = true;
    },
    closePlDialog(val) {
      this.showAddProblemDialog = false;
    },
  },
};
</script>

<style lang='less' scoped>

</style>
